Package org.lwjgl.opencl

# Class APPLEContextLoggingUtil

java.lang.Object
org.lwjgl.opencl.APPLEContextLoggingUtil

public final class APPLEContextLoggingUtil extends Object
Utility class that provides CLContextCallback implementations that use the APPLE_ContextLoggingFunctions callback functions.

TODO: Test this class

Author:
  Spasi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CLContextCallback`
`STD_ERR_CALLBACK`
Sends all log messages to the file descriptor stderr.
`static final CLContextCallback`
`STD_OUT_CALLBACK`
Sends all log messages to the file descriptor stdout.
`static final CLContextCallback`
`SYSTEM_LOG_CALLBACK`
Sends all log messages to the Apple System Logger.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SYSTEM_LOG_CALLBACK

public static final CLContextCallback SYSTEM_LOG_CALLBACK
Sends all log messages to the Apple System Logger.

### STD_OUT_CALLBACK

public static final CLContextCallback STD_OUT_CALLBACK
Sends all log messages to the file descriptor stdout.

### STD_ERR_CALLBACK

public static final CLContextCallback STD_ERR_CALLBACK
Sends all log messages to the file descriptor stderr.